Still not available for TB3 Rated 1 out of 5 stars

Pity this still doesn't work for Thunderbird 3. It won't even install (TB 3.1.7).